ConcurrentSecondLevelCacheStatisticsImpl (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.stat.internal
Class ConcurrentSecondLevelCacheStatisticsImpl

    java.lang.Object
      org.hibernate.stat.internal.CategorizedStatistics
          org.hibernate.stat.internal.ConcurrentSecondLevelCacheStatisticsImpl

All Implemented Interfaces:
  Serializable, SecondLevelCacheStatistics

    public class ConcurrentSecondLevelCacheStatisticsImpl

extends CategorizedStatistics
implements SecondLevelCacheStatistics

Second level cache statistics of a specific region

See Also:
  Serialized Form

Method Summary
`long` | `getElementCountInMemory()`
`long` | `getElementCountOnDisk()`
`Map` | `getEntries()`
`long` | `getHitCount()`
`long` | `getMissCount()`
`long` | `getPutCount()`
`long` | `getSizeInMemory()`
`String` | `toString()`

Methods inherited from class org.hibernate.stat.internal.CategorizedStatistics
`getCategoryName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getHitCount

    public long getHitCount()

  Specified by:
    `getHitCount` in interface `SecondLevelCacheStatistics`

### getMissCount

    public long getMissCount()

  Specified by:
    `getMissCount` in interface `SecondLevelCacheStatistics`

### getPutCount

    public long getPutCount()

  Specified by:
    `getPutCount` in interface `SecondLevelCacheStatistics`

### getElementCountInMemory

    public long getElementCountInMemory()

  Specified by:
    `getElementCountInMemory` in interface `SecondLevelCacheStatistics`

### getElementCountOnDisk

    public long getElementCountOnDisk()

  Specified by:
    `getElementCountOnDisk` in interface `SecondLevelCacheStatistics`

### getSizeInMemory

    public long getSizeInMemory()

  Specified by:
    `getSizeInMemory` in interface `SecondLevelCacheStatistics`

### getEntries

    public Map getEntries()

  Specified by:
    `getEntries` in interface `SecondLevelCacheStatistics`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.